## xfce4-panel 4.20.5

=== meson_options.txt ===
option(
  'gtk-doc',
  type: 'boolean',
  value: false,
  description: 'Build gtk-doc HTML',
)

option(
  'introspection',
  type: 'boolean',
  value: true,
  description: 'Build gobject-introspection files',
)

option(
  'vala',
  type: 'feature',
  value: 'auto',
  description: 'Build Vala language bindings',
)

option(
  'visibility',
  type: 'boolean',
  value: true,
  description: 'Build with GNU symbol visibility',
)

option(
  'x11',
  type: 'feature',
  value: 'auto',
  description: 'Support for the X11 windowing system',
)

option(
  'wayland',
  type: 'feature',
  value: 'auto',
  description: 'Support for the Wayland windowing system',
)

option(
  'gtk-layer-shell',
  type: 'feature',
  value: 'auto',
  description: 'Gtk Layer Shell support (Wayland only)',
)

option(
  'dbusmenu',
  type: 'feature',
  value: 'auto',
  description: 'DBusMenu support for status notifier items',
)

option(
  'helper-path-prefix',
  type: 'string',
  value: '',
  description: 'Path prefix under which helper executables will be installed (default: $libdir)',
)

## xfce4-panel 4.6.4

=== debian/changelog ===
xfce4-panel (4.6.4-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 15 Aug 2010 19:48:04 +0200

xfce4-panel (4.6.4-1) unstable; urgency=low

  [Stefan Ott]
  * debian/watch edited to track Xfce archive reorganisation.

  [Yves-Alexis Perez]
  * New upstream release.
  * debian/xfce4-panel.shlibs
    - conflicts against development panel.
  * Switch to 3.0 (quilt) source format.
  * debian/rules:
    - switch to debhelper 7.
  * debian/control:
    - update standards version to 3.8.4.
    - update debhelper build-dep for overrides.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 22 May 2010 15:33:37 +0200

xfce4-panel (4.6.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - add depends on ${misc:Depends}.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 30 Dec 2009 19:38:15 +0100

xfce4-panel (4.6.2-1) unstable; urgency=low

  * New upstream release.
    - fix italian translation.                                  closes: #526459
  * debian/control:
    - update standards version to 3.8.3.
    - remove quilt build-dep.
  * debian/patches:
    - 01_use-exo-open-for-terminal dropped, included upstream.
    - 02_fix-session-restart-command as well. 
  * debian/rules:
    - drop quilt stuff.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 17 Oct 2009 00:29:42 +0200

xfce4-panel (4.6.1-3) unstable; urgency=low

  * debian/patches/
    - 02_fix-session-restart-command added, fix panel command saved in
      session to not use -r arg.
  * debian/control:
    - bump standards version to 3.8.2.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 25 Jun 2009 20:50:27 +0200

xfce4-panel (4.6.1-2) unstable; urgency=low

  * debian/patches:
    - 1_use-exo-open-for-terminal added, use exo-open for launchers when
      using “run in terminal” option.
  * debian/control:
    - add build-dep on quilt.
  * debian/rules:
    - use quilt rules.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 09 Jun 2009 22:31:53 +0200

xfce4-panel (4.6.1-1) unstable; urgency=low

  * New upstream release.
    - fix launchers arrow in vertical panel.                    closes: #524676
  * debian/patches:
    - 01_fix-wl-as-needed dropped, merged upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 19 Apr 2009 14:37:59 +0200

xfce4-panel (4.6.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules:
    - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.
    - re-add quilt rules.
    - replace dh_clean -k by dh_prep.
  * debian/control:
    - bump standards version to 3.8.1.
    - add build-dep on quilt.
    - bump debhelper build-dep to 7.
    - move to xfce section.
  * debian/compat bumped to 7.
  * debian/patches:
    - 01_fix-wl-as-needed added, fix build with -Wl,--as-needed.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Apr 2009 01:13:33 +0200

xfce4-panel (4.6.0-1) experimental; urgency=low

  [ Xfce 4.6 Alpha “Pinkie”]
  * New upstream alpha release.
    - plugin process are correctly terminated when removed.     closes: #457395
  * debian/rules:
    - fail if dh_install misses files.
    - don't mess with config.{guess,sub} anymore.
    - call dh_lintian
    - don't use quilt rules.
  * debian/control:
    - drop build-dep on quilt.
    - update build-dep on debhelper for dh_lintian support. 
    - add build-dep on intltool.
    - gq the long desc so they are on 80-cols.
  * add xfce4-popup-windowlist.1, thanks to François Wendling.  closes: #496862
  * debian/xfce4-panel.shlibs: update shlibs to 4.5.90 (Xfce 4.6 Alpha).

  [ Xfce 4.6 Beta 1 “Fuzzy”]
  * New upstream beta release.
  * debian/control:
    - update build-deps for Fuzzy.
    - remove useless intltool from build-deps.
    - add build-dep on libxml-parser-perl.
  * debian/xfce4-panel.shlibs: bump shlibs.

  [ Xfce 4.6 Beta 2 “Hopper”]
  * New upstream beta release.
  * debian/control:
    - update build-deps for Hopper.
  * debian/xfce4-panel.shlibs:
    - bump shlibs for Hopper. 

  [ Xfce 4.6 Beta 3 “Tuco-tuco”]
  * new upstream beta release.
  * debian/control:
    - update build-deps for “Tuco-Tuco”.
    - add build-dep on intltool.
    - add dep on libxfce4util-dev and libxfcegui4-dev to xfce4-panel-dev. 

  [ Xfce 4.6 RC1 “Capybara” ]
  * new upstream release candidate.
  * debian/control:
    - update build-deps for “Capybara”.
    - update deps on -dev packages for “Capybara”.
  * debian/xfce4-panel.shlibs:
    - bump shlibs to 4.5.99.1.

  [ Xfce 4.6 ]
  * new upstream release.
  * debian/control:
    - update build-deps for 4.6.
    - update deps on -dev packages for 4.6.
  * debian/xfce4-panel.shlibs:
    - bump shlibs to 4.6.0.
  * debian/copyright:
    - update copyrights, dates and format.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 28 Feb 2009 12:38:19 +0100

xfce4-panel (4.4.2-6) unstable; urgency=low

  * switch to triggers:
    - debian/postinst: remove xfce-mcs-manager refresh.
    - debian/prerm dropped.
    - debian/control: conflicts against non-triggers-enable xfce4-mcs-manager.
  * debian/control: remove useless Conflicts/Replaces against Sarge stuff.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 19 May 2008 08:08:22 +0200

xfce4-panel (4.4.2-5) unstable; urgency=low

  * debian/patches:
    - 01_fix-dnd-file-panel added, fix a crash when drag & droping a file over
      the panel. (Xfce #3815, r26669).
    - 02_fix-screen-config-dialog added, fix multiscreen support for
      configuration dialogs. (Xfce r26937).                     closes: #481086
  * debian/rules: use quilt make rule. 
  * debian/control: remove Martin Loschwitz from Uploaders:. Thanks for the
    work!

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 15 May 2008 08:48:41 +0200

xfce4-panel (4.4.2-4) unstable; urgency=low

  * debian/rules:
    - don't edit mousepad launcher…
    - and remove it.
    - remove editor launcher item from panel config.            closes: #426164
    - use $(CURDIR) instead of `pwd`.



=== debian/control ===
Source: xfce4-panel
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>, Yves-Alexis Perez <corsac@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev (>= 2.10.6), bison,
 libxft-dev, libxml2-dev, chrpath, libxfce4util-dev (>= 4.6.0),
 libxfcegui4-dev (>= 4.6.0), libexo-0.3-dev (>= 0.3.100), libwnck-dev,
 libxml-parser-perl, intltool
Standards-Version: 3.8.4
Homepage: http://www.xfce.org/
Vcs-Svn: svn://svn.debian.org/pkg-xfce/desktop/trunk/xfce4-panel/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/desktop/trunk/xfce4-panel/

Package: xfce4-panel
Section: xfce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libexo-0.3-0 (>= 0.3.100), 
 exo-utils
Description: The Xfce4 desktop environment panel
 This is the panel provided by the Xfce4 desktop project.  If you want a
 multi-functional panel that can even handle plugins and the like, xfce4-panel
 might be worth a try.

Package: xfce4-panel-dev
Section: xfce
Architecture: any
Depends: ${misc:Depends}, xfce4-panel (= ${binary:Version}), libxml2-dev, 
 pkg-config, libxfce4util-dev (>= 4.6.0), libxfcegui4-dev (>= 4.6.0)
Description: The Xfce4 panel development files
 In this package, you can find the development files distributed with the
 Xfce4 panel, the main panel of Xfce4 desktop environment. The files in this
 package are mainly going to be of interest for you if you intend to code
 applications which use some of the Xfce4 C panel functions.

Package: xfce4-panel-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, xfce4-panel (= ${binary:Version})
Description: debugging informations for xfce4-panel
 This package contains debugging symbols for xfce4-panel, the panel provided by
 the Xfce4 desktop project.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/quilt/quilt.make


LDFLAGS+=-Wl,-z,defs -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

override_dh_install:
	perl -i -pe 's/Exec=Terminal/Exec=exo-open --launch TerminalEmulator/' $(CURDIR)/debian/tmp/etc/xdg/xfce4/panel/launcher*
	rm -f $(CURDIR)/debian/tmp/etc/xdg/xfce4/panel/launcher-8.rc
	sed -i '/<item name=\"launcher\" id=\"8\"\/>/d' $(CURDIR)/debian/tmp/etc/xdg/xfce4/panel/panels.xml

	rm -f $(CURDIR)/debian/tmp/usr/lib/xfce4/panel-plugins/*.la
	rm -f $(CURDIR)/debian/tmp/usr/lib/xfce4/panel-plugins/*.a
	rm -f $(CURDIR)/debian/tmp/usr/lib/xfce4/mcs-plugins/*.la
	rm -f $(CURDIR)/debian/tmp/usr/lib/xfce4/mcs-plugins/*.a
	rm -f $(CURDIR)/debian/tmp/usr/lib/libxfce4panel.la

	chrpath -d -k $(CURDIR)/debian/tmp/usr/bin/xfce4-panel \
		$(CURDIR)/debian/tmp/usr/bin/xfce4-popup-windowlist \
		$(CURDIR)/debian/tmp/usr/lib/xfce4/*/* \
		$(CURDIR)/debian/tmp/usr/lib/libxfce4panel.so.*1

	dh_install --fail-missing --sourcedir=debian/tmp

override_dh_strip:
	dh_strip --dbg-package=xfce4-panel-dbg

%:
	dh $@

## xfce4-panel 4.7.5

=== debian/changelog ===
xfce4-panel (4.7.5-0ubuntu1) natty; urgency=low

  * Upload to natty (pkg-xfce svn r4611).

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 04 Dec 2010 15:45:53 +0100

xfce4-panel (4.7.5-1) UNRELEASED; urgency=low

  [ Lionel Le Folgoc ]
  * New upstream development release.
  * debian/control:
    - refreshed (b-)deps for this new major release
    - add myself to Uploaders
    - bump Standards-Version to 3.9.1.
  * debian/NEWS: dropped, unneeded.
  * debian/xfce4-panel.shlibs: refreshed, bump to (>= 4.7.2).
  * debian/xfce4-panel.lintian-overrides: refreshed, new lib name.
  * debian/xfce4-panel.preinst: added, handles removal of old conffiles.
  * debian/xfce4-panel.postinst: explicitly set -e.
  * debian/*.install: refreshed.
  * debian/rules:
    - call dpkg-buildflags
    - dropped rc files mangling as they don't exist anymore
    - updated removal of *.{l,}a files.
  * debian/xfce4-panel.{preinst,postinst,prerm}: use dpkg-maintscript-helper
    to remove pre-xfconf config files.
  * Bugs fixed by 4.7.x/4.8.x series:
    - rgba support                                                  lp: #586012
    - disappearing menus                                             lp: #53897
    - xrandr support                               lp: #176174, Closes: #432914
    - Fails to reap children, creating zombies                      lp: #420187
    - DND of desktop-files on the panel to create new launchers Closes: #480380

  [ Yves-Alexis Perez ]
  * New upstream development release
  * debian/xfce4-panel.install:
    - install wrapper and migrate tools in xfce4-panel package
    - update plugins paths
  * debian/rules:
    - update path when removing .a/.la files for plugins.
    - add hardening flags to {C,LD}FLAGS
  * debian/control:
    - add build-dep on hardening-includes

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 09 Nov 2010 11:06:13 +0100

=== debian/control ===
Source: xfce4-panel
Section: xfce
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>,
 Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libxfce4util-dev (>= 4.6.0),
 libgarcon-1-0-dev (>= 0.1.1), libxfce4ui-1-dev (>= 4.7.1),
 libxfconf-0-dev (>= 4.7.2), libexo-1-dev (>= 0.5.1),
 libgtk2.0-dev (>= 2.14.0), libglib2.0-dev (>= 2.18.0),
 libdbus-glib-1-dev (>= 0.73), libcairo2-dev (>= 1.0.0),
 libwnck-dev (>= 2.22), libxml-parser-perl, intltool, hardening-includes
Standards-Version: 3.9.1
Homepage: http://www.xfce.org/
Vcs-Svn: svn://svn.debian.org/pkg-xfce/desktop/trunk/xfce4-panel/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/desktop/trunk/xfce4-panel/

Package: xfce4-panel
Section: xfce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, exo-utils
Description: The Xfce4 desktop environment panel
 This is the panel provided by the Xfce4 desktop project.  If you want a
 multi-functional panel that can even handle plugins and the like, xfce4-panel
 might be worth a try.

Package: xfce4-panel-dev
Section: xfce
Architecture: any
Depends: ${misc:Depends}, xfce4-panel (= ${binary:Version}), pkg-config,
 libxfce4util-dev (>= 4.6.0), libglib2.0-dev (>= 2.18.0),
 libgtk2.0-dev (>= 2.14.0)
Description: The Xfce4 panel development files
 In this package, you can find the development files distributed with the
 Xfce4 panel, the main panel of Xfce4 desktop environment. The files in this
 package are mainly going to be of interest for you if you intend to code
 applications which use some of the Xfce4 C panel functions.

Package: xfce4-panel-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, xfce4-panel (= ${binary:Version})
Description: debugging informations for xfce4-panel
 This package contains debugging symbols for xfce4-panel, the panel provided by
 the Xfce4 desktop project.

## xfce4-panel 4.7.6

=== debian/changelog ===
xfce4-panel (4.7.6-0ubuntu2) natty; urgency=low

  * Look up symbols in initialized data section for small objects too,
    fixing build failure on powerpc.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Dec 2010 16:45:24 +0100

xfce4-panel (4.7.6-0ubuntu1) natty; urgency=low

  * New upstream development release.
  * Bump garcon b-dep to >= 0.1.4.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 05 Dec 2010 18:05:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>,
  Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), libxfce4util-dev (>= 4.6.0),
- libgarcon-1-0-dev (>= 0.1.1), libxfce4ui-1-dev (>= 4.7.1),
+ libgarcon-1-0-dev (>= 0.1.4), libxfce4ui-1-dev (>= 4.7.1),
  libxfconf-0-dev (>= 4.7.2), libexo-1-dev (>= 0.5.1),
  libgtk2.0-dev (>= 2.14.0), libglib2.0-dev (>= 2.18.0),
  libdbus-glib-1-dev (>= 0.73), libcairo2-dev (>= 1.0.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/hardening-includes/hardening.make

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS) -Wl,-z,defs -Wl,--as-needed -Wl,-O1
CFLAGS+=$(HARDENING_CFLAGS)


override_dh_install:
	rm -f $(CURDIR)/debian/tmp/usr/lib/xfce4/panel/plugins/*.a
	dh_install --fail-missing --sourcedir=debian/tmp -X .la

override_dh_strip:
	dh_strip --dbg-package=xfce4-panel-dbg

%:
	dh $@

## xfce4-panel 4.7.7

=== debian/changelog ===
xfce4-panel (4.7.7-0ubuntu1) natty; urgency=low

  * New upstream development release.
  * debian/patches/abicheck.diff: dropped, included upstream.
  * debian/xfce4-panel.shlibs: bumped to >= 4.7.7, because of some changes
    for external plugins.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Tue, 04 Jan 2011 19:42:23 +0100

## xfce4-panel 4.8.1

=== debian/changelog ===
xfce4-panel (4.8.1-1) experimental; urgency=low

  [ Lionel Le Folgoc ]
  * New upstream bugfix release.
  * debian/control:
    - refreshed (b-)deps for this new major release
    - add myself to Uploaders
    - bump Standards-Version to 3.9.1.
  * debian/NEWS: dropped, unneeded.
  * debian/xfce4-panel.shlibs: refreshed, bump to (>= 4.7.2).
  * debian/xfce4-panel.lintian-overrides: refreshed, new lib name.
  * debian/xfce4-panel.preinst: added, handles removal of old conffiles.
  * debian/xfce4-panel.postinst: explicitly set -e.
  * debian/*.install: refreshed.
  * debian/rules:
    - call dpkg-buildflags
    - dropped rc files mangling as they don't exist anymore
    - updated removal of *.{l,}a files.
    - drop overrides for dh_auto_{configure,clean}, obsolete.
  * debian/xfce4-panel.{preinst,postinst,prerm}: use dpkg-maintscript-helper
    to remove pre-xfconf config files.
  * Bugs fixed by 4.7.x/4.8.x series:
    - rgba support                                                  lp: #586012
    - disappearing menus                                             lp: #53897
    - xrandr support                               lp: #176174, Closes: #432914
    - Fails to reap children, creating zombies                      lp: #420187
    - DND of desktop-files on the panel to create new launchers Closes: #480380
  * Bumped shlibs to >= 4.7.7, abi break for external plugins.

  [ Yves-Alexis Perez ]
  * New upstream development release
  * debian/xfce4-panel.install:
    - install wrapper and migrate tools in xfce4-panel package
    - update plugins paths
  * debian/rules:
    - update path when removing .a/.la files for plugins.
    - add hardening flags to {C,LD}FLAGS
  * debian/control:
    - add build-dep on hardening-includes
    - update build-dep on garcon to 0.1.4.
  * debian/copyright updated for new release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 06 Feb 2011 18:10:07 +0100

## xfce4-panel 4.8.2

=== debian/changelog ===
xfce4-panel (4.8.2-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 27 Feb 2011 00:55:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: xfce4-panel
 Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>,
  Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), libxfce4util-dev (>= 4.6.0),
- libgarcon-1-0-dev (>= 0.1.4), libxfce4ui-1-dev (>= 4.7.1),
- libxfconf-0-dev (>= 4.7.2), libexo-1-dev (>= 0.5.1),
+Build-Depends: debhelper (>= 7.0.50~), libxfce4util-dev (>= 4.8.0),
+ libgarcon-1-0-dev (>= 0.1.4), libxfce4ui-1-dev (>= 4.8.0),
+ libxfconf-0-dev (>= 4.8.0), libexo-1-dev (>= 0.6.0),
  libgtk2.0-dev (>= 2.14.0), libglib2.0-dev (>= 2.18.0),
  libdbus-glib-1-dev (>= 0.73), libcairo2-dev (>= 1.0.0),
  libwnck-dev (>= 2.22), libxml-parser-perl, intltool, hardening-includes

## xfce4-panel 4.8.3

=== debian/changelog ===
xfce4-panel (4.8.3-0ubuntu1) natty; urgency=low

  * New upstream bugfix release. lp: #752791
  * debian/patches:
    - 0001-Tasklist-add-button-release-event-to-proxy-item-bug-.patch:
      dropped, included upstream.
    - xubuntu_support-multiple-vendor-default-configs.patch: refreshed
      to apply cleanly.
    - series: refreshed.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Wed, 06 Apr 2011 20:59:14 +0200

xfce4-panel (4.8.2-1ubuntu1) natty; urgency=low

  * debian/patches:
    - xubuntu_support-multiple-vendor-default-configs.patch: search for the
      default.xml default config in XDG_CONFIG_DIRS as well, and do not
      display the chooser dialog in this case.                      lp: #747137
    - 0001-Tasklist-add-button-release-event-to-proxy-item-bug-.patch: taken
      from upstream git 'xfce-4.8' branch, fixes window switching with a
      drop down selector.                                           lp: #743689
    - series: added.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Fri, 01 Apr 2011 20:43:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfce4-panel
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>,
  Yves-Alexis Perez <corsac@debian.org>, Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), libxfce4util-dev (>= 4.8.0),

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 LDFLAGS+=$(HARDENING_LDFLAGS) -Wl,-z,defs -Wl,--as-needed -Wl,-O1
 CFLAGS+=$(HARDENING_CFLAGS)
 
+export CFLAGS LDFLAGS
 
 override_dh_install:
 	rm -f $(CURDIR)/debian/tmp/usr/lib/xfce4/panel/plugins/*.a

## xfce4-panel 4.8.6

=== debian/changelog ===
xfce4-panel (4.8.6-4) unstable; urgency=low

  * debian/xfce4-panel.shlibs:
    - conflicts against development panel.
  * debian/rules:
    - build with --parallel.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 14 Apr 2012 15:31:07 +0200

xfce4-panel (4.8.6-3) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on a
    new enough version of dpkg rather than using 'dpkg-maintscript-helper
    supports' guards, leading to more predictable behaviour on upgrades.
    Thanks Colin Watson for the patch                           Closes: #659887
  * debian/patches: add missing DEP3 headers.

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 3.9.3.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sat, 03 Mar 2012 12:08:11 +0100

xfce4-panel (4.8.6-2) unstable; urgency=low

  * debian/patches:
    - 02_fix-french-typo added, fix a typo in french translation, thanks Cyril
      Brulebois.
  * debian/control:
    - update debhelper build-dep to 9.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 08 Feb 2012 07:53:54 +0100

xfce4-panel (4.8.6-1) unstable; urgency=low

  * New upstream release:
    - Fix segfault with not-existing menu.                          lp: #760939
    - Fix typo in fr.po for the directory menu plugin.              lp: #846386
  * debian/xfce4-panel.1: fix path to upstream docs.            Closes: #638204
  * debian/rules: switch hardening to use dh9 mode
  * debian/compat: use mode 9.
  * debian/control:
    - drop build-dep on hardening-includes
    - bump debhelper build-dep to 8.9.4 for dh9 compat mode.
    - add Pre-depends on ${misc:Pre-Depends}.
  * debian/rules: use multi-arch path in various rules.
  * debian/xfce4-panel-dev.install, debian/xfce4-panel.install: use
    multi-arch path.
  * debian/patches/01_support-non-multiarch-modules.patch: support modules
    installed in /usr/lib/$triplet and /usr/lib, to hopefully migrate smoothly
    panel plugins to multiarch path over time without breakage.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Fri, 14 Oct 2011 18:57:33 +0200

xfce4-panel (4.8.5-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - 01_fix-transparency-migration dropped, included upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 22 Jun 2011 00:03:00 +0200

xfce4-panel (4.8.4-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/patches:
    - 02_fix-arrow-spacing-vertical-panel.patch: dropped, included upstream.
    - series: refreshed.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Mon, 20 Jun 2011 22:43:19 +0200

xfce4-panel (4.8.3-3) unstable; urgency=low

  * debian/patches:
    - 02_fix-arrow-spacing-vertical-panel added, fix spacing between launchers
      on vertical panels with side arrows.                      closes: #625794
  * debian/rules:
    - ignore translations in .pc so dh_auto_test doesn't fail when make check
      is run in po/.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 14 May 2011 18:25:33 +0200

xfce4-panel (4.8.3-2) unstable; urgency=low

  * debian/patches:
    - 01_fix-transparency-migration added, fix inversion when migrating
      transparency settings.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 29 Apr 2011 08:25:17 +0200

xfce4-panel (4.8.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * Upload to unstable.
  * debian/control:
    - remove Emanuele and Simon from uploaders thanks to them.
    - update standards version to 3.9.2.
    - update short descriptions.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Apr 2011 16:25:59 +0200

=== debian/control ===
Source: xfce4-panel
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
 Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 9), libxfce4util-dev (>= 4.8.0),
 libgarcon-1-0-dev (>= 0.1.4), libxfce4ui-1-dev (>= 4.8.0),
 libxfconf-0-dev (>= 4.8.0), libexo-1-dev (>= 0.6.0),
 libgtk2.0-dev (>= 2.14.0), libglib2.0-dev (>= 2.18.0),
 libdbus-glib-1-dev (>= 0.73), libcairo2-dev (>= 1.0.0),
 libwnck-dev (>= 2.22), libxml-parser-perl, intltool
Standards-Version: 3.9.3
Homepage: http://www.xfce.org/
Vcs-Svn: svn://svn.debian.org/pkg-xfce/desktop/trunk/xfce4-panel/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/desktop/trunk/xfce4-panel/

Package: xfce4-panel
Section: xfce
Architecture: any
Pre-depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, exo-utils
Description: panel for Xfce4 desktop environment
 This is the panel provided by the Xfce4 desktop project.  If you want a
 multi-functional panel that can even handle plugins and the like, xfce4-panel
 might be worth a try.

Package: xfce4-panel-dev
Section: xfce
Architecture: any
Depends: ${misc:Depends}, xfce4-panel (= ${binary:Version}), pkg-config,
 libxfce4util-dev (>= 4.6.0), libglib2.0-dev (>= 2.18.0),
 libgtk2.0-dev (>= 2.14.0)
Description: Xfce4 panel development files
 In this package, you can find the development files distributed with the
 Xfce4 panel, the main panel of Xfce4 desktop environment. The files in this
 package are mainly going to be of interest for you if you intend to code
 applications which use some of the Xfce4 C panel functions.

Package: xfce4-panel-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, xfce4-panel (= ${binary:Version})
Description: debugging informations for xfce4-panel
 This package contains debugging symbols for xfce4-panel, the panel provided by
 the Xfce4 desktop project.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_install:
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/xfce4/panel/plugins/*.a
	dh_install --fail-missing --sourcedir=debian/tmp -X .la

override_dh_strip:
	dh_strip --dbg-package=xfce4-panel-dbg

override_dh_auto_configure:
	dh_auto_configure
	find .pc -type f -exec echo '{}' >> po/POTFILES.skip \;

override_dh_auto_clean:
	rm -f po/POTFILES.skip
	dh_auto_clean

%:
	dh $@ --parallel

## xfce4-panel 4.10.0

=== debian/changelog ===
xfce4-panel (4.10.0-1ubuntu2) quantal; urgency=low

  * debian/patches:
    - xubuntu_add-calendar-popup-to-clock-plugin.patch: added, taken from
      upstream git to show a calendar when left-clicking on the clock plugin
      (so we don't need orage/xfce4-datetime-plugin for this feature only).

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Wed, 22 Aug 2012 21:49:26 +0200

xfce4-panel (4.10.0-1ubuntu1) quantal; urgency=low

  * debian/patches:
    - xubuntu_migrate-tasklist-separator.patch: added, try to be smart and
      work around the non-expandable tasklist plugin from 4.10 by setting
      as expandable the separator next to it (should work with the default
      panel layouts from Xubuntu, Mythbuntu and UbuntuStudio).

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Tue, 22 May 2012 22:31:35 +0200

xfce4-panel (4.10.0-1) experimental; urgency=low

  * New upstream stable release.
  * debian/control: revert to unversioned libxfce4util-dev, bump required
    versions for Xfce 4.10.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sat, 05 May 2012 13:35:45 +0200

xfce4-panel (4.9.2-1) experimental; urgency=low

  * New upstream development release.
  * debian/xfce4-panel.shlibs, debian/xfce4-panel.lintian-overrides: updated
    to the new soname.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 15 Apr 2012 15:54:14 +0200

xfce4-panel (4.9.1-1) experimental; urgency=low

  [ Lionel Le Folgoc ]
  * New upstream development release, including:
    - "add items to panel" dialogs aren't on top anymore        Closes: #450910
    - fix autosaving to avoid lost settings.                    Closes: #646981
  * debian/xfce4-panel.shlibs: bump to >= 4.9.1, for the new "small" property.
  * debian/rules, debian/xfce4-panel-dev.install: ignore *.a files, not built
    anymore.
  * debian/control:
    - switch to libxfceutil6-dev for the new api, and bump libxfce4ui-1-dev
      b-dep to >= 4.9.0 for the new help api.
  * debian/rules:
    - drop --sourcedir=debian/tmp from dh_install, unneeded.
  * debian/xfce4-panel.install: drop the docs, not build anymore.

  [ Yves-Alexis Perez ]
  * debian/control:
    - update debhelper build-dep to 9.
    - update standards version to 3.9.3
  * debian/rules:
    - build with --parallel.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 08 Apr 2012 21:51:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: xfce4-panel
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
  Lionel Le Folgoc <mrpouit@gmail.com>
-Build-Depends: debhelper (>= 9), libxfce4util-dev (>= 4.8.0),
- libgarcon-1-0-dev (>= 0.1.4), libxfce4ui-1-dev (>= 4.8.0),
- libxfconf-0-dev (>= 4.8.0), libexo-1-dev (>= 0.6.0),
+Build-Depends: debhelper (>= 9), libxfce4util-dev (>= 4.10.0),
+ libgarcon-1-0-dev (>= 0.2.0), libxfce4ui-1-dev (>= 4.10.0),
+ libxfconf-0-dev (>= 4.10.0), libexo-1-dev (>= 0.8.0),
  libgtk2.0-dev (>= 2.14.0), libglib2.0-dev (>= 2.18.0),
  libdbus-glib-1-dev (>= 0.73), libcairo2-dev (>= 1.0.0),
  libwnck-dev (>= 2.22), libxml-parser-perl, intltool
@@ -29,7 +30,7 @@
 Section: xfce
 Architecture: any
 Depends: ${misc:Depends}, xfce4-panel (= ${binary:Version}), pkg-config,
- libxfce4util-dev (>= 4.6.0), libglib2.0-dev (>= 2.18.0),
+ libxfce4util-dev (>= 4.10.0), libglib2.0-dev (>= 2.18.0),
  libgtk2.0-dev (>= 2.14.0)
 Description: Xfce4 panel development files
  In this package, you can find the development files distributed with the

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 override_dh_install:
-	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/xfce4/panel/plugins/*.a
-	dh_install --fail-missing --sourcedir=debian/tmp -X .la
+	dh_install --fail-missing -X .la
 
 override_dh_strip:
 	dh_strip --dbg-package=xfce4-panel-dbg

## xfce4-panel 4.10.1

=== debian/changelog ===
xfce4-panel (4.10.1-1ubuntu2) trusty; urgency=medium

  * Use dh-autoreconf to update libtool for ppc64el.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Dec 2013 13:21:02 +0000

xfce4-panel (4.10.1-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - debian/patches:
      + xubuntu_migrate-tasklist-separator.patch: added, try to be smart and
        work around the non-expandable tasklist plugin from 4.10 by setting
        as expandable the separator next to it (should work with the default
        panel layouts from Xubuntu, Mythbuntu and UbuntuStudio).
      + xubuntu_add-calendar-popup-to-clock-plugin.patch: added, taken from
        upstream git to show a calendar when left-clicking on the clock plugin
        (so we don't need orage/xfce4-datetime-plugin for this feature only).

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 07 Jul 2013 10:54:09 +0200

xfce4-panel (4.10.1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * debian/xfce4-panel.shlibs:
    - conflicts about a future 4.11 panel.
  * debian/xfce4-panel-dev.install:
    - static files are not built anymore, don't try to install them.
  * debian/rules:
    - enable all hardeningflags.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 21 May 2013 22:40:43 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  libxfconf-0-dev (>= 4.10.0), libexo-1-dev (>= 0.8.0),
  libgtk2.0-dev (>= 2.14.0), libglib2.0-dev (>= 2.18.0),
  libdbus-glib-1-dev (>= 0.73), libcairo2-dev (>= 1.0.0),
+ dh-autoreconf, gnome-common, gtk-doc-tools, xfce4-dev-tools,
  libwnck-dev (>= 2.22), libxml-parser-perl, intltool
 Standards-Version: 3.9.3
 Homepage: http://www.xfce.org/

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1
-export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -10,6 +10,9 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=xfce4-panel-dbg
+
+override_dh_autoreconf:
+	dh_autoreconf xdt-autogen
 
 override_dh_auto_configure:
 	dh_auto_configure
@@ -20,4 +23,4 @@
 	dh_auto_clean
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with autoreconf

## xfce4-panel 4.11.0

=== debian/changelog ===
xfce4-panel (4.11.0-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * Update lintian override

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 16 Feb 2014 14:34:33 +1100

xfce4-panel (4.11.0~0.git20140209.86a1b73-0ubuntu1) trusty; urgency=low

  [ Unit 193 ]
  * New git snapshot. (LP: #1238997)
  * debian/patches:
    - 02_potfiles-fix-ftbfs.patch: added, add missing files to po/POTFILES.in.
  * debian/control: add b-dep on newer garcon.

  [ Lionel Le Folgoc ]
  * debian/patches:
    - xubuntu_add-calendar-popup-to-clock-plugin.patch: dropped, included.
    - series: refreshed.
  * debian/xfce4-panel.install: include both (gtk2 and gtk3) wrappers.
  * debian/rules: pass --enable-gtk3 --disable-silent-rules to configure script.
  * debian/control: add b-dep on libgtk-3-dev.
  * debian/xfce4-panel.shlibs: updated for the gtk3 library.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 12 Feb 2014 15:41:39 -0500

xfce4-panel (4.10.1-2) UNRELEASED; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * Update debian/xfce4-panel.1
  * debian/control: Bump standards-version to 3.9.4
  * debian/rules: Use disable-silent-rules

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 24 Aug 2013 19:19:58 +1000

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,17 @@
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
  Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 9), libxfce4util-dev (>= 4.10.0),
- libgarcon-1-0-dev (>= 0.2.0), libxfce4ui-1-dev (>= 4.10.0),
+ libgarcon-1-0-dev (>= 0.3.0~), libxfce4ui-1-dev (>= 4.10.0),
  libxfconf-0-dev (>= 4.10.0), libexo-1-dev (>= 0.8.0),
  libgtk2.0-dev (>= 2.14.0), libglib2.0-dev (>= 2.18.0),
  libdbus-glib-1-dev (>= 0.73), libcairo2-dev (>= 1.0.0),
- dh-autoreconf, gnome-common, gtk-doc-tools, xfce4-dev-tools,
- libwnck-dev (>= 2.22), libxml-parser-perl, intltool
-Standards-Version: 3.9.3
+ dh-autoreconf, gtk-doc-tools, xfce4-dev-tools,
+ libwnck-dev (>= 2.22), libxml-parser-perl, intltool,
+ libgtk-3-dev
+Standards-Version: 3.9.4
 Homepage: http://www.xfce.org/
-Vcs-Svn: svn://svn.debian.org/pkg-xfce/desktop/trunk/xfce4-panel/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/desktop/trunk/xfce4-panel/
+Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/desktop/trunk/xfce4-panel/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/desktop/trunk/xfce4-panel/
 
 Package: xfce4-panel
 Section: xfce

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	dh_autoreconf xdt-autogen
 
 override_dh_auto_configure:
-	dh_auto_configure
+	dh_auto_configure -- --enable-gtk3 --disable-silent-rules
 	find .pc -type f -exec echo '{}' >> po/POTFILES.skip \;
 
 override_dh_auto_clean:

=== debian/watch ===
version=3
http://archive.xfce.org/src/xfce/xfce4-panel/([\d\.]+)/ \
	xfce4-panel-([\d\.]+)\.tar\.(?:gz|bz2)

## xfce4-panel 4.11.1

=== debian/changelog ===
xfce4-panel (4.11.1-0ubuntu2) utopic; urgency=medium

  * debian/patches/02_support-dmtool.patch
    - Add support for dm-tool for user-switching (LP: #1320560)

 -- Sean Davis <smd.seandavis@gmail.com>  Tue, 14 Oct 2014 06:15:01 -0400

xfce4-panel (4.11.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge from Debian unstable, remaining changes:
    - debian/patches:
      + xubuntu_migrate-tasklist-separator.patch: added, try to be smart and
        work around the non-expandable tasklist plugin from 4.10 by setting
        as expandable the separator next to it (should work with the default
        panel layouts from Xubuntu, Mythbuntu and UbuntuStudio).
    - Use dh-autoreconf to update libtool for ppc64el.
    - debian/xfce4-panel.install: include both (gtk2 and gtk3) wrappers.
    - debian/rules: pass --enable-gtk3 to configure script.
    - debian/control: add b-dep on libgtk-3-dev.
    - debian/xfce4-panel.shlibs: updated for the gtk3 library.

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 23 Jun 2014 08:06:22 +1000

xfce4-panel (4.11.0-1) experimental; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * Update debian/xfce4-panel.1
  * debian/control: Bump standards-version to 3.9.5
  * debian/rules: Use disable-silent-rules

  [ Yves-Alexis Perez ]
  * New upstream development release.
  * debian/control:
    - update garcon build-dep to 0.3.
  * debian/rules:
    - stop messing with POTFILES.skip, not needed anymore.
  * debian/xfce4-panel.install:
    - add version to the wrapper file.
  * debian/xfce4-panel.shlibs:
    - update dependencies for new Xfce version.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 28 Feb 2014 21:28:51 +0100

## xfce4-panel 4.11.2

=== debian/changelog ===
xfce4-panel (4.11.2-0ubuntu1) vivid; urgency=medium

  * New upstream development release.
    - Refresh patches.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 04 Jan 2015 13:04:39 -0500

## xfce4-panel 4.12.0

=== debian/changelog ===
xfce4-panel (4.12.0-4) unstable; urgency=medium

  * debian/xfce4-panel.maintscript dropped, 4.7 transition is long gone.
  * debian/xfce4-panel.postinst dropped, we don't need to manually call
    ldconfig since dh_makeshlibs already does it for us.        closes: #819039
  * debian/control: update standards version to 3.9.7.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 23 Mar 2016 10:32:21 +0100

xfce4-panel (4.12.0-3) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * debian/control:
    - Make libxfce4panel-2.0-dev depend on libxfce4panel-2.0-4.
  * Add 02_pager-size-for-viewport.patch. (Closes: #785582)

  [ Yves-Alexis Perez ]
  * debian/control:
    - drop libxfce4panel-2.0-4 dependency on xfce4-panel.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 24 Jun 2015 21:51:20 +0200

xfce4-panel (4.12.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 May 2015 15:58:14 +0200

xfce4-panel (4.12.0-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream development release.
  * debian/control:
    update standards version to 3.9.6.

  [ Yves-Alexis Perez ]
  * debian/control:
    - fix typo in -dbg short description.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 08 Mar 2015 20:33:56 +0100

xfce4-panel (4.11.1-1) experimental; urgency=medium

  * New upstream development release.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 23 Jun 2014 21:32:47 +0200

xfce4-panel (4.11.0-2) experimental; urgency=medium

  * debian/control:
    - add build-dep on libgtk-3-dev.
    - add libxfce4-panel-2.0-4 and libxfce4panel-2.0-dev packages, shipping
      the GTK3 variant of the Xfce panel plugins library.
    - update libxfce4ui-1 build-dep to 4.11.
  * debian/libxfce4panel-2.0-4.install, debian/libxfce4panel-2.0-dev.install:
    - ship libxfce4panel-2.0 files.
  * debian/rules:
    - enable GTK3 check.
  * debian/libxfce4panel-2.0-4.symbols:
    - add a symbol file for libxfce4panel-2.0-4.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 25 Mar 2014 22:39:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,16 @@
 Source: xfce4-panel
 Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
  Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 9), libxfce4util-dev (>= 4.10.0),
- libgarcon-1-0-dev (>= 0.3.0~), libxfce4ui-1-dev (>= 4.10.0),
+ libgarcon-1-0-dev (>= 0.3.0), libxfce4ui-1-dev (>= 4.11.0),
  libxfconf-0-dev (>= 4.10.0), libexo-1-dev (>= 0.8.0),
  libgtk2.0-dev (>= 2.14.0), libglib2.0-dev (>= 2.18.0),
  libdbus-glib-1-dev (>= 0.73), libcairo2-dev (>= 1.0.0),
- dh-autoreconf, gtk-doc-tools, xfce4-dev-tools,
- libwnck-dev (>= 2.22), libxml-parser-perl, intltool,
- libgtk-3-dev
-Standards-Version: 3.9.4
+ libwnck-dev (>= 2.22), libxml-parser-perl, intltool, libgtk-3-dev
+Standards-Version: 3.9.7
 Homepage: http://www.xfce.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/desktop/trunk/xfce4-panel/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/desktop/trunk/xfce4-panel/
@@ -40,11 +37,27 @@
  package are mainly going to be of interest for you if you intend to code
  applications which use some of the Xfce4 C panel functions.
 
+Package: libxfce4panel-2.0-4
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Xfce4 panel libraries (GTK3 variant)
+ This package contains library (GTK3 variant) used by the various plugins for
+ the Xfce panel.
+
+Package: libxfce4panel-2.0-dev
+Section: libdevel
+Architecture: any
+Depends: ${misc:Depends}, libxfce4panel-2.0-4 (= ${binary:Version})
+Description: Xfce4 panel libraries (GTK3 variant)
+ This package contains development files for the library (GTK3 variant) used by
+ the various plugins for the Xfce panel.
+
 Package: xfce4-panel-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: ${shlibs:Depends}, ${misc:Depends}, xfce4-panel (= ${binary:Version})
-Description: debugging informations for xfce4-panel
+Description: debugging information for xfce4-panel
  This package contains debugging symbols for xfce4-panel, the panel provided by
  the Xfce4 desktop project.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_install:
	dh_install --fail-missing -X .la

override_dh_strip:
	dh_strip --dbg-package=xfce4-panel-dbg

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules --enable-gtk3

override_dh_auto_clean:
	dh_auto_clean

%:
	dh $@ --parallel
